apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  creationTimestamp: null
  name: authz-operator
rules:
- apiGroups:
  - webservices.cern.ch
  resources:
  - applicationregistrations
  - applicationregistrations/status
  - bootstrapapplicationroles
  - bootstrapapplicationroles/status
  - oidcreturnuris
  - oidcreturnuris/status
  - projectlifecyclepolicies
  # the permission on finalizers is required so we can set the ownership of the RoleBinding
  # created by ProjectLifecyclePolicy to the ProjectLifecyclePolicy (to watch for changes)
  - projectlifecyclepolicies/finalizers
  - projectlifecyclepolicies/status
  verbs:
  - '*'
# NOTE: Add any downstream resources
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - create
  - get
  - list
  - watch
  - update
  - patch
  - delete
# for ProjectLifecyclePolicy controller to update rolebindings
- apiGroups:
  - "rbac.authorization.k8s.io"
  resources:
  - rolebindings
  verbs:
  - create
  - get
  - list
  - watch
  - update
  - patch
  - delete
# for ProjectLifecyclePolicy controller to create and manage ConsoleLinks
- apiGroups:
  - "console.openshift.io"
  resources:
  - consolelinks
  verbs:
  - create
  - get
  - list
  - watch
  - update
  - patch
  - delete
# for ProjectLifecyclePolicy controller to update project description/delete user projects
- apiGroups:
  - ""
  resources:
  - namespaces
  # the permission on finalizers is required so we can set the ownership of the ConsoleLinks
  # created by ProjectLifecyclePolicy to the namespace (for their automatic garbage-collection)
  - namespaces/finalizers
  verbs:
  - get
  - list
  - watch
  - update
  - patch
  - delete
